List account transactions
curl --request GET \
--url https://cc.nadcab.com/api/v1/account/transaction \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cc.nadcab.com/api/v1/account/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/account/transaction"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/account/transaction",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"msg": "success",
"data": {
"total": 1,
"per_page": 20,
"current_page": 1,
"last_page": 1,
"data": [
{
"id": 109,
"uid": 9,
"type": "AssetsDeposit",
"amount": "10000.000",
"before": "100000.000",
"after": "110000.000",
"description": "USDT-TRC deposit",
"transaction_time": "2024-08-21 17:59:13",
"reference_id": "Initial top-up on card creation",
"status": "completed",
"created_at": "2024-08-21 17:59:14",
"updated_at": "2024-08-21 17:59:14"
}
]
}
}Account
List account transactions
GET
/
account
/
transaction
List account transactions
